unit Unit1; 

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, ComCtrls,
  StdCtrls, Serial;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    TrackBar1: TTrackBar;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure TrackBar1Change(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  Form1: TForm1;
  MySerialHandle : tSerialHandle;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.TrackBar1Change(Sender: TObject);
  var bffr: char;
begin
      bffr := Chr(TrackBar1.Position);
     SerWrite(MySerialHandle, bffr,1);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
     MySerialHandle := SerOpen('/dev/ttyACM0');
     SerSetParams(MySerialHandle, 9600,8,NoneParity,1,[]);
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  TrackBar1.Position := 0;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  TrackBar1.Position := 255;
end;

end.

